function yi=interp1(x,y,xi)
%% usage: yi=interp1(x,y,xi)
%% 
%% Cubic spline interpolytion of x/y-values at xi.
%% <pre>Example:
%% >> x=1:10;y=rand(1,10);           
%% >> xi=1:0.1:10;yi=interp1(x,y,xi);
%% >> plot(x,y,'r*');hold;plot(xi,yi)</pre>
%% <img src="images/interp1.png" alt="">

	if length(x)~=length(y)
		error("x and y have different length.");
	end
	if(length(x) < 4)
		p = polyfit(x,y,length(x)-1);
		yi= polyval(p,xi);
		return;
	end
	pp=spline(x,y);
	yi=ppval(pp,xi);
end

